// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "FPSLabelComponent.hpp"

using namespace Dawn;

FPSLabelComponent::FPSLabelComponent(SceneItem *item) :
  SceneItemComponent(item)
{
  
}

void FPSLabelComponent::onStart() {
  useEvent([&](float_t delta){
    if(this->label == nullptr) return;
    std::string strFps = std::to_string((int32_t)(1.0f / delta));
    std::string strTick = std::to_string((int32_t)(delta * 1000.0f));
    assertUnreachable("FPSLabelComponent::onStart: Not yet implemented");// Needs updating to new UI Label
    // label->text = strFps + "FPS (" + strTick + "ms)";
  }, this->item->scene->eventSceneUnpausedUpdate);
}